package starj.toolkits.metrics;

import java.text.DecimalFormat;

public class DoubleMetricValue implements MetricValue {
    public static final String TYPE = "double";
    
    private static DecimalFormat format;
    private double value;

    public DoubleMetricValue(double value) {
        this.value = value;
    }

    public DoubleMetricValue(long numerator, long denominator) {
        this.value = ((double) numerator) / denominator;
    }
    
    public String getType() {
        return DoubleMetricValue.TYPE;
    }

    public double getValue() {
        return this.value;
    }

    public String toString() {
        if (format == null) {
            format = new DecimalFormat("0.000");
        }
        return format.format(this.getValue());
    }
}
